Bug 1197480 - [abrt] system-config-date: gdk_rgb_create_info(): python2.7 killed by SIGSEGV
Summary: [abrt] system-config-date: gdk_rgb_create_info(): python2.7 killed by SIGSEGV
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-date
Version: 21
Hardware: All
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:199c2ebb1eb638f4d98890cb225...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-01 17:04 UTC by G.Hovsepyan
Modified: 2015-07-01 06:30 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-06-24 15:56:06 UTC


Attachments (Terms of Use)
File: backtrace (68.46 KB, text/plain)
2015-03-01 17:04 UTC, G.Hovsepyan
no flags Details
File: cgroup (167 bytes, text/plain)
2015-03-01 17:05 UTC, G.Hovsepyan
no flags Details
File: core_backtrace (18.28 KB, text/plain)
2015-03-01 17:05 UTC, G.Hovsepyan
no flags Details
File: dso_list (9.72 KB, text/plain)
2015-03-01 17:05 UTC, G.Hovsepyan
no flags Details
File: environ (230 bytes, text/plain)
2015-03-01 17:05 UTC, G.Hovsepyan
no flags Details
File: exploitable (82 bytes, text/plain)
2015-03-01 17:05 UTC, G.Hovsepyan
no flags Details
File: limits (1.29 KB, text/plain)
2015-03-01 17:05 UTC, G.Hovsepyan
no flags Details
File: maps (28.23 KB, text/plain)
2015-03-01 17:05 UTC, G.Hovsepyan
no flags Details
File: open_fds (264 bytes, text/plain)
2015-03-01 17:05 UTC, G.Hovsepyan
no flags Details
File: proc_pid_status (771 bytes, text/plain)
2015-03-01 17:05 UTC, G.Hovsepyan
no flags Details
File: var_log_messages (680 bytes, text/plain)
2015-03-01 17:05 UTC, G.Hovsepyan
no flags Details

Description G.Hovsepyan 2015-03-01 17:04:55 UTC
Version-Release number of selected component:
system-config-date-1.10.7-1.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/share/system-config-date/system-config-date.py
crash_function: gdk_rgb_create_info
executable:     /usr/bin/python2.7
kernel:         3.18.7-100.fc20.i686
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gdk_rgb_create_info at gdkrgb.c:598
 #1 gdk_rgb_xpixel_from_rgb_internal at gdkrgb.c:728
 #2 gdk_rgb_find_color at gdkrgb.c:837
 #3 gnome_canvas_get_color_pixel at gnome-canvas.c:4001
 #4 gnome_canvas_text_set_property at gnome-canvas-text.c:1080
 #5 object_set_property at gobject.c:1366
 #6 g_object_set_property at gobject.c:2328
 #7 _wrap_gnome_canvas_item_new at canvas.override:151
 #8 PyCFunction_Call at /usr/src/debug/Python-2.7.5/Objects/methodobject.c:85
 #9 do_call at /usr/src/debug/Python-2.7.5/Python/ceval.c:4313

Comment 1 G.Hovsepyan 2015-03-01 17:04:59 UTC
Created attachment 996782 [details]
File: backtrace

Comment 2 G.Hovsepyan 2015-03-01 17:05:00 UTC
Created attachment 996783 [details]
File: cgroup

Comment 3 G.Hovsepyan 2015-03-01 17:05:02 UTC
Created attachment 996784 [details]
File: core_backtrace

Comment 4 G.Hovsepyan 2015-03-01 17:05:04 UTC
Created attachment 996785 [details]
File: dso_list

Comment 5 G.Hovsepyan 2015-03-01 17:05:05 UTC
Created attachment 996786 [details]
File: environ

Comment 6 G.Hovsepyan 2015-03-01 17:05:07 UTC
Created attachment 996787 [details]
File: exploitable

Comment 7 G.Hovsepyan 2015-03-01 17:05:08 UTC
Created attachment 996788 [details]
File: limits

Comment 8 G.Hovsepyan 2015-03-01 17:05:10 UTC
Created attachment 996789 [details]
File: maps

Comment 9 G.Hovsepyan 2015-03-01 17:05:12 UTC
Created attachment 996790 [details]
File: open_fds

Comment 10 G.Hovsepyan 2015-03-01 17:05:13 UTC
Created attachment 996791 [details]
File: proc_pid_status

Comment 11 G.Hovsepyan 2015-03-01 17:05:14 UTC
Created attachment 996792 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 13:43:09 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Nils Philippsen 2015-06-17 11:15:21 UTC
I've just found that this happens when no display is available, since pygtk >= 2.10 doesn't throw an exception in that case anymore.

Comment 14 Fedora Update System 2015-06-17 11:40:21 UTC
system-config-date-1.10.9-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/system-config-date-1.10.9-1.fc21

Comment 15 Fedora Update System 2015-06-17 11:41:22 UTC
system-config-date-1.10.9-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/system-config-date-1.10.9-1.fc20

Comment 16 Fedora Update System 2015-06-17 11:41:29 UTC
system-config-date-1.10.9-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/system-config-date-1.10.9-1.fc22

Comment 17 Fedora Update System 2015-06-20 23:59:39 UTC
Package system-config-date-1.10.9-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-date-1.10.9-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10125/system-config-date-1.10.9-1.fc22
then log in and leave karma (feedback).

Comment 18 Fedora Update System 2015-06-24 15:56:06 UTC
system-config-date-1.10.9-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2015-06-30 20:14:49 UTC
system-config-date-1.10.9-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 G.Hovsepyan 2015-07-01 06:30:57 UTC
Thanks for all comments! The problem is solved!


Note You need to log in before you can comment on or make changes to this bug.